| BSL430.NET 1.3.4

Classes | Public Member Functions | Package Types | Properties | Private Types | Private Member Functions | Private Attributes | List of all members
BSL430_NET.Main.Core Class Referenceabstract
Inheritance diagram for BSL430_NET.Main.Core:

## Classes
class | CmdStat
class | Data_BSLVersion
class | Data_CRC
class | Data_Download
class | Data_Void
interface | IData
class | Message
class | Response
class | Result
class | Rx_Block

## Public Member Functions
abstract void | CommOpen (Bsl430NetDevice device)
abstract void | CommSet (BaudRate baud_rate)
abstract void | CommDtr (bool val=true, bool ignore_err=false)
abstract void | CommRts (bool val=true, bool ignore_err=false)
abstract void | CommClrBuff ()
abstract void | CommClose (bool ignore_err=false)
abstract Bsl430NetDevice | CommGetDefaultDevice ()
abstract Status | CommXfer (out byte[] msg_rx, byte[] msg_tx, int rx_size)
abstract Status | Scan< Tdev > (out List< Tdev > device_list, ScanOptions scan_opt=ScanOptions.None)
BaudRate | GetBaudRate ()
InvokeMechanism | GetInvoke ()
MCU | GetMCU ()
| Core (BSL430NET _root, Mode _mode)
StatusEx | Erase (Bsl430NetDevice device)
StatusEx | Download (Bsl430NetDevice device, byte[] password, int addr_start, int data_size, out List< byte > data)
StatusEx | Upload (Bsl430NetDevice device, string firmware_path, byte[] password)
Status | ChangeBaudRate (BaudRate _baud)
Status | SetInvoke (InvokeMechanism _invoke)
Status | SetMCU (MCU _mcu)
void | Dispose ()

## Package Types
enum | Command { BaudRate, BSLVersion, MassErase, CRC, Password, Upload, Download, LoadPC }

## Properties
abstract Bsl430NetDevice | DefaultDevice`[get, set]`
Properties inherited from BSL430_NET.Main.IDevice
Bsl430NetDevice | DefaultDevice`[get, set]`

## Private Types
enum | Protocol { UART_1_2_4 = 250, UART_5_6 = 260, USB_5_6 = 62 }

## Private Member Functions
StatusEx | LoadEx (Bsl430NetDevice device, Command cmd, byte[] password, string firmware_path, int? addr_start, int? data_size, out List< byte > output)
void | BlockStart (string name, double val, bool _skipped=false)
void | BlockEnd (ReportResult result, string name_override="")
void | BlockEnd (string name_override="")
void | UpdateProgress (double val, string str)
void | UpdateProgress (double val, Report _report, bool add_report)
void | Dispose (bool disposing)
Message | BuildMsg (Command command)
Message | BuildMsg (Command command, int? address)
Message | BuildMsg (Command command, byte[] data)
Message | BuildMsg (Command command, int? address, byte[] data)
Response | ProcessMsg (Message message)
Result< T > | ParseResp< T > (Response answer)
Status | ParseFirmware (string firmware_path, out List< Rx_Block > rx_blocks, out FwTools.FwInfo fw_info)
int | GetBufferSize (Protocol _protocol)
void | InvokeBSL (InvokeMechanism mech)
void | ResetMCU (InvokeMechanism mech)
byte[] | ValidatePassword (byte[] password, out bool pw_overide)

## Private Attributes
BaudRate | baud_rate = BaudRate.BAUD_115200
MCU | mcu = MCU.MSP430_F5xx
Protocol | protocol = Protocol.UART_5_6
InvokeMechanism | invoke = InvokeMechanism.SHARED_JTAG
Report | report
readonly List< Report > | reports = new List<Report>()
readonly BSL430NET | root
readonly Mode | mode
bool | skipped
bool | block_pending
double | progress_pending
bool | disposedValue = false

The documentation for this class was generated from the following files:

- D:/PROJECTS/C#/BSL430.NET/src/BSL430.NET/Main.cs
- D:/PROJECTS/C#/BSL430.NET/src/BSL430.NET/Main_priv.cs